IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network15.3.100.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
- Network address
15.3.100.0- Broadcast address
15.3.103.255- First usable
15.3.100.1- Last usable
15.3.103.254- Usable hosts
- 1,022 (1,024 less the network and broadcast addresses)
- Subnet mask
255.255.252.0- Wildcard mask
0.0.3.255(Cisco ACLs, OSPF)- Prefix length
- /22
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
0F036400· Integer251880448to251881471 - Reverse DNS zones
100.3.15.in-addr.arpa101.3.15.in-addr.arpa102.3.15.in-addr.arpa103.3.15.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00001111.00000011.01100100.00000000 | 15.3.100.0 |
| Subnet mask | 11111111.11111111.11111100.00000000 | 255.255.252.0 |
| Network | 00001111.00000011.01100100.00000000 | 15.3.100.0 |
| Broadcast | 00001111.00000011.01100111.11111111 | 15.3.103.255 |
Split into smaller subnets
15.3.100.0/22 makes 512 subnets of /31; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 15.3.100.0/31 | 15.3.100.0 to 15.3.100.1 | — | 2 |
| 2 | 15.3.100.2/31 | 15.3.100.2 to 15.3.100.3 | — | 2 |
| 3 | 15.3.100.4/31 | 15.3.100.4 to 15.3.100.5 | — | 2 |
| 4 | 15.3.100.6/31 | 15.3.100.6 to 15.3.100.7 | — | 2 |
| 5 | 15.3.100.8/31 | 15.3.100.8 to 15.3.100.9 | — | 2 |
| 6 | 15.3.100.10/31 | 15.3.100.10 to 15.3.100.11 | — | 2 |
| 7 | 15.3.100.12/31 | 15.3.100.12 to 15.3.100.13 | — | 2 |
| 8 | 15.3.100.14/31 | 15.3.100.14 to 15.3.100.15 | — | 2 |
| 9 | 15.3.100.16/31 | 15.3.100.16 to 15.3.100.17 | — | 2 |
| 10 | 15.3.100.18/31 | 15.3.100.18 to 15.3.100.19 | — | 2 |
| 11 | 15.3.100.20/31 | 15.3.100.20 to 15.3.100.21 | — | 2 |
| 12 | 15.3.100.22/31 | 15.3.100.22 to 15.3.100.23 | — | 2 |
| 13 | 15.3.100.24/31 | 15.3.100.24 to 15.3.100.25 | — | 2 |
| 14 | 15.3.100.26/31 | 15.3.100.26 to 15.3.100.27 | — | 2 |
| 15 | 15.3.100.28/31 | 15.3.100.28 to 15.3.100.29 | — | 2 |
| 16 | 15.3.100.30/31 | 15.3.100.30 to 15.3.100.31 | — | 2 |
| 17 | 15.3.100.32/31 | 15.3.100.32 to 15.3.100.33 | — | 2 |
| 18 | 15.3.100.34/31 | 15.3.100.34 to 15.3.100.35 | — | 2 |
| 19 | 15.3.100.36/31 | 15.3.100.36 to 15.3.100.37 | — | 2 |
| 20 | 15.3.100.38/31 | 15.3.100.38 to 15.3.100.39 | — | 2 |
| 21 | 15.3.100.40/31 | 15.3.100.40 to 15.3.100.41 | — | 2 |
| 22 | 15.3.100.42/31 | 15.3.100.42 to 15.3.100.43 | — | 2 |
| 23 | 15.3.100.44/31 | 15.3.100.44 to 15.3.100.45 | — | 2 |
| 24 | 15.3.100.46/31 | 15.3.100.46 to 15.3.100.47 | — | 2 |
| 25 | 15.3.100.48/31 | 15.3.100.48 to 15.3.100.49 | — | 2 |
| 26 | 15.3.100.50/31 | 15.3.100.50 to 15.3.100.51 | — | 2 |
| 27 | 15.3.100.52/31 | 15.3.100.52 to 15.3.100.53 | — | 2 |
| 28 | 15.3.100.54/31 | 15.3.100.54 to 15.3.100.55 | — | 2 |
| 29 | 15.3.100.56/31 | 15.3.100.56 to 15.3.100.57 | — | 2 |
| 30 | 15.3.100.58/31 | 15.3.100.58 to 15.3.100.59 | — | 2 |
| 31 | 15.3.100.60/31 | 15.3.100.60 to 15.3.100.61 | — | 2 |
| 32 | 15.3.100.62/31 | 15.3.100.62 to 15.3.100.63 | — | 2 |
| 33 | 15.3.100.64/31 | 15.3.100.64 to 15.3.100.65 | — | 2 |
| 34 | 15.3.100.66/31 | 15.3.100.66 to 15.3.100.67 | — | 2 |
| 35 | 15.3.100.68/31 | 15.3.100.68 to 15.3.100.69 | — | 2 |
| 36 | 15.3.100.70/31 | 15.3.100.70 to 15.3.100.71 | — | 2 |
| 37 | 15.3.100.72/31 | 15.3.100.72 to 15.3.100.73 | — | 2 |
| 38 | 15.3.100.74/31 | 15.3.100.74 to 15.3.100.75 | — | 2 |
| 39 | 15.3.100.76/31 | 15.3.100.76 to 15.3.100.77 | — | 2 |
| 40 | 15.3.100.78/31 | 15.3.100.78 to 15.3.100.79 | — | 2 |
| 41 | 15.3.100.80/31 | 15.3.100.80 to 15.3.100.81 | — | 2 |
| 42 | 15.3.100.82/31 | 15.3.100.82 to 15.3.100.83 | — | 2 |
| 43 | 15.3.100.84/31 | 15.3.100.84 to 15.3.100.85 | — | 2 |
| 44 | 15.3.100.86/31 | 15.3.100.86 to 15.3.100.87 | — | 2 |
| 45 | 15.3.100.88/31 | 15.3.100.88 to 15.3.100.89 | — | 2 |
| 46 | 15.3.100.90/31 | 15.3.100.90 to 15.3.100.91 | — | 2 |
| 47 | 15.3.100.92/31 | 15.3.100.92 to 15.3.100.93 | — | 2 |
| 48 | 15.3.100.94/31 | 15.3.100.94 to 15.3.100.95 | — | 2 |
| 49 | 15.3.100.96/31 | 15.3.100.96 to 15.3.100.97 | — | 2 |
| 50 | 15.3.100.98/31 | 15.3.100.98 to 15.3.100.99 | — | 2 |
| 51 | 15.3.100.100/31 | 15.3.100.100 to 15.3.100.101 | — | 2 |
| 52 | 15.3.100.102/31 | 15.3.100.102 to 15.3.100.103 | — | 2 |
| 53 | 15.3.100.104/31 | 15.3.100.104 to 15.3.100.105 | — | 2 |
| 54 | 15.3.100.106/31 | 15.3.100.106 to 15.3.100.107 | — | 2 |
| 55 | 15.3.100.108/31 | 15.3.100.108 to 15.3.100.109 | — | 2 |
| 56 | 15.3.100.110/31 | 15.3.100.110 to 15.3.100.111 | — | 2 |
| 57 | 15.3.100.112/31 | 15.3.100.112 to 15.3.100.113 | — | 2 |
| 58 | 15.3.100.114/31 | 15.3.100.114 to 15.3.100.115 | — | 2 |
| 59 | 15.3.100.116/31 | 15.3.100.116 to 15.3.100.117 | — | 2 |
| 60 | 15.3.100.118/31 | 15.3.100.118 to 15.3.100.119 | — | 2 |
| 61 | 15.3.100.120/31 | 15.3.100.120 to 15.3.100.121 | — | 2 |
| 62 | 15.3.100.122/31 | 15.3.100.122 to 15.3.100.123 | — | 2 |
| 63 | 15.3.100.124/31 | 15.3.100.124 to 15.3.100.125 | — | 2 |
| 64 | 15.3.100.126/31 | 15.3.100.126 to 15.3.100.127 | — | 2 |
| 65 | 15.3.100.128/31 | 15.3.100.128 to 15.3.100.129 | — | 2 |
| 66 | 15.3.100.130/31 | 15.3.100.130 to 15.3.100.131 | — | 2 |
| 67 | 15.3.100.132/31 | 15.3.100.132 to 15.3.100.133 | — | 2 |
| 68 | 15.3.100.134/31 | 15.3.100.134 to 15.3.100.135 | — | 2 |
| 69 | 15.3.100.136/31 | 15.3.100.136 to 15.3.100.137 | — | 2 |
| 70 | 15.3.100.138/31 | 15.3.100.138 to 15.3.100.139 | — | 2 |
| 71 | 15.3.100.140/31 | 15.3.100.140 to 15.3.100.141 | — | 2 |
| 72 | 15.3.100.142/31 | 15.3.100.142 to 15.3.100.143 | — | 2 |
| 73 | 15.3.100.144/31 | 15.3.100.144 to 15.3.100.145 | — | 2 |
| 74 | 15.3.100.146/31 | 15.3.100.146 to 15.3.100.147 | — | 2 |
| 75 | 15.3.100.148/31 | 15.3.100.148 to 15.3.100.149 | — | 2 |
| 76 | 15.3.100.150/31 | 15.3.100.150 to 15.3.100.151 | — | 2 |
| 77 | 15.3.100.152/31 | 15.3.100.152 to 15.3.100.153 | — | 2 |
| 78 | 15.3.100.154/31 | 15.3.100.154 to 15.3.100.155 | — | 2 |
| 79 | 15.3.100.156/31 | 15.3.100.156 to 15.3.100.157 | — | 2 |
| 80 | 15.3.100.158/31 | 15.3.100.158 to 15.3.100.159 | — | 2 |
| 81 | 15.3.100.160/31 | 15.3.100.160 to 15.3.100.161 | — | 2 |
| 82 | 15.3.100.162/31 | 15.3.100.162 to 15.3.100.163 | — | 2 |
| 83 | 15.3.100.164/31 | 15.3.100.164 to 15.3.100.165 | — | 2 |
| 84 | 15.3.100.166/31 | 15.3.100.166 to 15.3.100.167 | — | 2 |
| 85 | 15.3.100.168/31 | 15.3.100.168 to 15.3.100.169 | — | 2 |
| 86 | 15.3.100.170/31 | 15.3.100.170 to 15.3.100.171 | — | 2 |
| 87 | 15.3.100.172/31 | 15.3.100.172 to 15.3.100.173 | — | 2 |
| 88 | 15.3.100.174/31 | 15.3.100.174 to 15.3.100.175 | — | 2 |
| 89 | 15.3.100.176/31 | 15.3.100.176 to 15.3.100.177 | — | 2 |
| 90 | 15.3.100.178/31 | 15.3.100.178 to 15.3.100.179 | — | 2 |
| 91 | 15.3.100.180/31 | 15.3.100.180 to 15.3.100.181 | — | 2 |
| 92 | 15.3.100.182/31 | 15.3.100.182 to 15.3.100.183 | — | 2 |
| 93 | 15.3.100.184/31 | 15.3.100.184 to 15.3.100.185 | — | 2 |
| 94 | 15.3.100.186/31 | 15.3.100.186 to 15.3.100.187 | — | 2 |
| 95 | 15.3.100.188/31 | 15.3.100.188 to 15.3.100.189 | — | 2 |
| 96 | 15.3.100.190/31 | 15.3.100.190 to 15.3.100.191 | — | 2 |
| 97 | 15.3.100.192/31 | 15.3.100.192 to 15.3.100.193 | — | 2 |
| 98 | 15.3.100.194/31 | 15.3.100.194 to 15.3.100.195 | — | 2 |
| 99 | 15.3.100.196/31 | 15.3.100.196 to 15.3.100.197 | — | 2 |
| 100 | 15.3.100.198/31 | 15.3.100.198 to 15.3.100.199 | — | 2 |
| 101 | 15.3.100.200/31 | 15.3.100.200 to 15.3.100.201 | — | 2 |
| 102 | 15.3.100.202/31 | 15.3.100.202 to 15.3.100.203 | — | 2 |
| 103 | 15.3.100.204/31 | 15.3.100.204 to 15.3.100.205 | — | 2 |
| 104 | 15.3.100.206/31 | 15.3.100.206 to 15.3.100.207 | — | 2 |
| 105 | 15.3.100.208/31 | 15.3.100.208 to 15.3.100.209 | — | 2 |
| 106 | 15.3.100.210/31 | 15.3.100.210 to 15.3.100.211 | — | 2 |
| 107 | 15.3.100.212/31 | 15.3.100.212 to 15.3.100.213 | — | 2 |
| 108 | 15.3.100.214/31 | 15.3.100.214 to 15.3.100.215 | — | 2 |
| 109 | 15.3.100.216/31 | 15.3.100.216 to 15.3.100.217 | — | 2 |
| 110 | 15.3.100.218/31 | 15.3.100.218 to 15.3.100.219 | — | 2 |
| 111 | 15.3.100.220/31 | 15.3.100.220 to 15.3.100.221 | — | 2 |
| 112 | 15.3.100.222/31 | 15.3.100.222 to 15.3.100.223 | — | 2 |
| 113 | 15.3.100.224/31 | 15.3.100.224 to 15.3.100.225 | — | 2 |
| 114 | 15.3.100.226/31 | 15.3.100.226 to 15.3.100.227 | — | 2 |
| 115 | 15.3.100.228/31 | 15.3.100.228 to 15.3.100.229 | — | 2 |
| 116 | 15.3.100.230/31 | 15.3.100.230 to 15.3.100.231 | — | 2 |
| 117 | 15.3.100.232/31 | 15.3.100.232 to 15.3.100.233 | — | 2 |
| 118 | 15.3.100.234/31 | 15.3.100.234 to 15.3.100.235 | — | 2 |
| 119 | 15.3.100.236/31 | 15.3.100.236 to 15.3.100.237 | — | 2 |
| 120 | 15.3.100.238/31 | 15.3.100.238 to 15.3.100.239 | — | 2 |
| 121 | 15.3.100.240/31 | 15.3.100.240 to 15.3.100.241 | — | 2 |
| 122 | 15.3.100.242/31 | 15.3.100.242 to 15.3.100.243 | — | 2 |
| 123 | 15.3.100.244/31 | 15.3.100.244 to 15.3.100.245 | — | 2 |
| 124 | 15.3.100.246/31 | 15.3.100.246 to 15.3.100.247 | — | 2 |
| 125 | 15.3.100.248/31 | 15.3.100.248 to 15.3.100.249 | — | 2 |
| 126 | 15.3.100.250/31 | 15.3.100.250 to 15.3.100.251 | — | 2 |
| 127 | 15.3.100.252/31 | 15.3.100.252 to 15.3.100.253 | — | 2 |
| 128 | 15.3.100.254/31 | 15.3.100.254 to 15.3.100.255 | — | 2 |
| 129 | 15.3.101.0/31 | 15.3.101.0 to 15.3.101.1 | — | 2 |
| 130 | 15.3.101.2/31 | 15.3.101.2 to 15.3.101.3 | — | 2 |
| 131 | 15.3.101.4/31 | 15.3.101.4 to 15.3.101.5 | — | 2 |
| 132 | 15.3.101.6/31 | 15.3.101.6 to 15.3.101.7 | — | 2 |
| 133 | 15.3.101.8/31 | 15.3.101.8 to 15.3.101.9 | — | 2 |
| 134 | 15.3.101.10/31 | 15.3.101.10 to 15.3.101.11 | — | 2 |
| 135 | 15.3.101.12/31 | 15.3.101.12 to 15.3.101.13 | — | 2 |
| 136 | 15.3.101.14/31 | 15.3.101.14 to 15.3.101.15 | — | 2 |
| 137 | 15.3.101.16/31 | 15.3.101.16 to 15.3.101.17 | — | 2 |
| 138 | 15.3.101.18/31 | 15.3.101.18 to 15.3.101.19 | — | 2 |
| 139 | 15.3.101.20/31 | 15.3.101.20 to 15.3.101.21 | — | 2 |
| 140 | 15.3.101.22/31 | 15.3.101.22 to 15.3.101.23 | — | 2 |
| 141 | 15.3.101.24/31 | 15.3.101.24 to 15.3.101.25 | — | 2 |
| 142 | 15.3.101.26/31 | 15.3.101.26 to 15.3.101.27 | — | 2 |
| 143 | 15.3.101.28/31 | 15.3.101.28 to 15.3.101.29 | — | 2 |
| 144 | 15.3.101.30/31 | 15.3.101.30 to 15.3.101.31 | — | 2 |
| 145 | 15.3.101.32/31 | 15.3.101.32 to 15.3.101.33 | — | 2 |
| 146 | 15.3.101.34/31 | 15.3.101.34 to 15.3.101.35 | — | 2 |
| 147 | 15.3.101.36/31 | 15.3.101.36 to 15.3.101.37 | — | 2 |
| 148 | 15.3.101.38/31 | 15.3.101.38 to 15.3.101.39 | — | 2 |
| 149 | 15.3.101.40/31 | 15.3.101.40 to 15.3.101.41 | — | 2 |
| 150 | 15.3.101.42/31 | 15.3.101.42 to 15.3.101.43 | — | 2 |
| 151 | 15.3.101.44/31 | 15.3.101.44 to 15.3.101.45 | — | 2 |
| 152 | 15.3.101.46/31 | 15.3.101.46 to 15.3.101.47 | — | 2 |
| 153 | 15.3.101.48/31 | 15.3.101.48 to 15.3.101.49 | — | 2 |
| 154 | 15.3.101.50/31 | 15.3.101.50 to 15.3.101.51 | — | 2 |
| 155 | 15.3.101.52/31 | 15.3.101.52 to 15.3.101.53 | — | 2 |
| 156 | 15.3.101.54/31 | 15.3.101.54 to 15.3.101.55 | — | 2 |
| 157 | 15.3.101.56/31 | 15.3.101.56 to 15.3.101.57 | — | 2 |
| 158 | 15.3.101.58/31 | 15.3.101.58 to 15.3.101.59 | — | 2 |
| 159 | 15.3.101.60/31 | 15.3.101.60 to 15.3.101.61 | — | 2 |
| 160 | 15.3.101.62/31 | 15.3.101.62 to 15.3.101.63 | — | 2 |
| 161 | 15.3.101.64/31 | 15.3.101.64 to 15.3.101.65 | — | 2 |
| 162 | 15.3.101.66/31 | 15.3.101.66 to 15.3.101.67 | — | 2 |
| 163 | 15.3.101.68/31 | 15.3.101.68 to 15.3.101.69 | — | 2 |
| 164 | 15.3.101.70/31 | 15.3.101.70 to 15.3.101.71 | — | 2 |
| 165 | 15.3.101.72/31 | 15.3.101.72 to 15.3.101.73 | — | 2 |
| 166 | 15.3.101.74/31 | 15.3.101.74 to 15.3.101.75 | — | 2 |
| 167 | 15.3.101.76/31 | 15.3.101.76 to 15.3.101.77 | — | 2 |
| 168 | 15.3.101.78/31 | 15.3.101.78 to 15.3.101.79 | — | 2 |
| 169 | 15.3.101.80/31 | 15.3.101.80 to 15.3.101.81 | — | 2 |
| 170 | 15.3.101.82/31 | 15.3.101.82 to 15.3.101.83 | — | 2 |
| 171 | 15.3.101.84/31 | 15.3.101.84 to 15.3.101.85 | — | 2 |
| 172 | 15.3.101.86/31 | 15.3.101.86 to 15.3.101.87 | — | 2 |
| 173 | 15.3.101.88/31 | 15.3.101.88 to 15.3.101.89 | — | 2 |
| 174 | 15.3.101.90/31 | 15.3.101.90 to 15.3.101.91 | — | 2 |
| 175 | 15.3.101.92/31 | 15.3.101.92 to 15.3.101.93 | — | 2 |
| 176 | 15.3.101.94/31 | 15.3.101.94 to 15.3.101.95 | — | 2 |
| 177 | 15.3.101.96/31 | 15.3.101.96 to 15.3.101.97 | — | 2 |
| 178 | 15.3.101.98/31 | 15.3.101.98 to 15.3.101.99 | — | 2 |
| 179 | 15.3.101.100/31 | 15.3.101.100 to 15.3.101.101 | — | 2 |
| 180 | 15.3.101.102/31 | 15.3.101.102 to 15.3.101.103 | — | 2 |
| 181 | 15.3.101.104/31 | 15.3.101.104 to 15.3.101.105 | — | 2 |
| 182 | 15.3.101.106/31 | 15.3.101.106 to 15.3.101.107 | — | 2 |
| 183 | 15.3.101.108/31 | 15.3.101.108 to 15.3.101.109 | — | 2 |
| 184 | 15.3.101.110/31 | 15.3.101.110 to 15.3.101.111 | — | 2 |
| 185 | 15.3.101.112/31 | 15.3.101.112 to 15.3.101.113 | — | 2 |
| 186 | 15.3.101.114/31 | 15.3.101.114 to 15.3.101.115 | — | 2 |
| 187 | 15.3.101.116/31 | 15.3.101.116 to 15.3.101.117 | — | 2 |
| 188 | 15.3.101.118/31 | 15.3.101.118 to 15.3.101.119 | — | 2 |
| 189 | 15.3.101.120/31 | 15.3.101.120 to 15.3.101.121 | — | 2 |
| 190 | 15.3.101.122/31 | 15.3.101.122 to 15.3.101.123 | — | 2 |
| 191 | 15.3.101.124/31 | 15.3.101.124 to 15.3.101.125 | — | 2 |
| 192 | 15.3.101.126/31 | 15.3.101.126 to 15.3.101.127 | — | 2 |
| 193 | 15.3.101.128/31 | 15.3.101.128 to 15.3.101.129 | — | 2 |
| 194 | 15.3.101.130/31 | 15.3.101.130 to 15.3.101.131 | — | 2 |
| 195 | 15.3.101.132/31 | 15.3.101.132 to 15.3.101.133 | — | 2 |
| 196 | 15.3.101.134/31 | 15.3.101.134 to 15.3.101.135 | — | 2 |
| 197 | 15.3.101.136/31 | 15.3.101.136 to 15.3.101.137 | — | 2 |
| 198 | 15.3.101.138/31 | 15.3.101.138 to 15.3.101.139 | — | 2 |
| 199 | 15.3.101.140/31 | 15.3.101.140 to 15.3.101.141 | — | 2 |
| 200 | 15.3.101.142/31 | 15.3.101.142 to 15.3.101.143 | — | 2 |
| 201 | 15.3.101.144/31 | 15.3.101.144 to 15.3.101.145 | — | 2 |
| 202 | 15.3.101.146/31 | 15.3.101.146 to 15.3.101.147 | — | 2 |
| 203 | 15.3.101.148/31 | 15.3.101.148 to 15.3.101.149 | — | 2 |
| 204 | 15.3.101.150/31 | 15.3.101.150 to 15.3.101.151 | — | 2 |
| 205 | 15.3.101.152/31 | 15.3.101.152 to 15.3.101.153 | — | 2 |
| 206 | 15.3.101.154/31 | 15.3.101.154 to 15.3.101.155 | — | 2 |
| 207 | 15.3.101.156/31 | 15.3.101.156 to 15.3.101.157 | — | 2 |
| 208 | 15.3.101.158/31 | 15.3.101.158 to 15.3.101.159 | — | 2 |
| 209 | 15.3.101.160/31 | 15.3.101.160 to 15.3.101.161 | — | 2 |
| 210 | 15.3.101.162/31 | 15.3.101.162 to 15.3.101.163 | — | 2 |
| 211 | 15.3.101.164/31 | 15.3.101.164 to 15.3.101.165 | — | 2 |
| 212 | 15.3.101.166/31 | 15.3.101.166 to 15.3.101.167 | — | 2 |
| 213 | 15.3.101.168/31 | 15.3.101.168 to 15.3.101.169 | — | 2 |
| 214 | 15.3.101.170/31 | 15.3.101.170 to 15.3.101.171 | — | 2 |
| 215 | 15.3.101.172/31 | 15.3.101.172 to 15.3.101.173 | — | 2 |
| 216 | 15.3.101.174/31 | 15.3.101.174 to 15.3.101.175 | — | 2 |
| 217 | 15.3.101.176/31 | 15.3.101.176 to 15.3.101.177 | — | 2 |
| 218 | 15.3.101.178/31 | 15.3.101.178 to 15.3.101.179 | — | 2 |
| 219 | 15.3.101.180/31 | 15.3.101.180 to 15.3.101.181 | — | 2 |
| 220 | 15.3.101.182/31 | 15.3.101.182 to 15.3.101.183 | — | 2 |
| 221 | 15.3.101.184/31 | 15.3.101.184 to 15.3.101.185 | — | 2 |
| 222 | 15.3.101.186/31 | 15.3.101.186 to 15.3.101.187 | — | 2 |
| 223 | 15.3.101.188/31 | 15.3.101.188 to 15.3.101.189 | — | 2 |
| 224 | 15.3.101.190/31 | 15.3.101.190 to 15.3.101.191 | — | 2 |
| 225 | 15.3.101.192/31 | 15.3.101.192 to 15.3.101.193 | — | 2 |
| 226 | 15.3.101.194/31 | 15.3.101.194 to 15.3.101.195 | — | 2 |
| 227 | 15.3.101.196/31 | 15.3.101.196 to 15.3.101.197 | — | 2 |
| 228 | 15.3.101.198/31 | 15.3.101.198 to 15.3.101.199 | — | 2 |
| 229 | 15.3.101.200/31 | 15.3.101.200 to 15.3.101.201 | — | 2 |
| 230 | 15.3.101.202/31 | 15.3.101.202 to 15.3.101.203 | — | 2 |
| 231 | 15.3.101.204/31 | 15.3.101.204 to 15.3.101.205 | — | 2 |
| 232 | 15.3.101.206/31 | 15.3.101.206 to 15.3.101.207 | — | 2 |
| 233 | 15.3.101.208/31 | 15.3.101.208 to 15.3.101.209 | — | 2 |
| 234 | 15.3.101.210/31 | 15.3.101.210 to 15.3.101.211 | — | 2 |
| 235 | 15.3.101.212/31 | 15.3.101.212 to 15.3.101.213 | — | 2 |
| 236 | 15.3.101.214/31 | 15.3.101.214 to 15.3.101.215 | — | 2 |
| 237 | 15.3.101.216/31 | 15.3.101.216 to 15.3.101.217 | — | 2 |
| 238 | 15.3.101.218/31 | 15.3.101.218 to 15.3.101.219 | — | 2 |
| 239 | 15.3.101.220/31 | 15.3.101.220 to 15.3.101.221 | — | 2 |
| 240 | 15.3.101.222/31 | 15.3.101.222 to 15.3.101.223 | — | 2 |
| 241 | 15.3.101.224/31 | 15.3.101.224 to 15.3.101.225 | — | 2 |
| 242 | 15.3.101.226/31 | 15.3.101.226 to 15.3.101.227 | — | 2 |
| 243 | 15.3.101.228/31 | 15.3.101.228 to 15.3.101.229 | — | 2 |
| 244 | 15.3.101.230/31 | 15.3.101.230 to 15.3.101.231 | — | 2 |
| 245 | 15.3.101.232/31 | 15.3.101.232 to 15.3.101.233 | — | 2 |
| 246 | 15.3.101.234/31 | 15.3.101.234 to 15.3.101.235 | — | 2 |
| 247 | 15.3.101.236/31 | 15.3.101.236 to 15.3.101.237 | — | 2 |
| 248 | 15.3.101.238/31 | 15.3.101.238 to 15.3.101.239 | — | 2 |
| 249 | 15.3.101.240/31 | 15.3.101.240 to 15.3.101.241 | — | 2 |
| 250 | 15.3.101.242/31 | 15.3.101.242 to 15.3.101.243 | — | 2 |
| 251 | 15.3.101.244/31 | 15.3.101.244 to 15.3.101.245 | — | 2 |
| 252 | 15.3.101.246/31 | 15.3.101.246 to 15.3.101.247 | — | 2 |
| 253 | 15.3.101.248/31 | 15.3.101.248 to 15.3.101.249 | — | 2 |
| 254 | 15.3.101.250/31 | 15.3.101.250 to 15.3.101.251 | — | 2 |
| 255 | 15.3.101.252/31 | 15.3.101.252 to 15.3.101.253 | — | 2 |
| 256 | 15.3.101.254/31 | 15.3.101.254 to 15.3.101.255 | — | 2 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |